package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;

import java.util.List;

@Data
public class MyPage<T> {
    private List<T> records;
    private long total;
    private long size;
    private long current;
    private long pages;

    public MyPage(){}
    public MyPage(Page page, List<T> records){
        this.records = records;
        this.total = page.getTotal();
        this.size = page.getSize();
        this.current = page.getCurrent();
        this.pages = page.getPages();
    }
}
